ONVIF::PTZ::Elements::GotoPreset(3)

NAME
ONVIF::PTZ::Elements::GotoPreset

DESCRIPTION
Perl data type class for the XML Schema defined element GotoPreset from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProfileToken

     $element->set_ProfileToken($data);
     $element->get_ProfileToken();

•   PresetToken

     $element->set_PresetToken($data);
     $element->get_PresetToken();

•   Speed

     $element->set_Speed($data);
     $element->get_Speed();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::GotoPreset->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProfileToken => $some_value, # ReferenceToken
   PresetToken => $some_value, # ReferenceToken
   Speed =>  { # ONVIF::PTZ::Types::PTZSpeed
     PanTilt => ,
     Zoom => ,
   },
 },

AUTHOR
Generated by SOAP::WSDL